DependencyInfo (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.DependencyInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class DependencyInfo

    java.lang.Object
      net.sf.antcontrib.cpptasks.DependencyInfo

    public final class DependencyInfo

extends java.lang.Object

Author:
  Curt Arnold

Constructor Summary
`DependencyInfo(java.lang.String includePathIdentifier, java.lang.String source, long sourceLastModified, java.util.Vector includes, java.util.Vector sysIncludes)`

Method Summary
`long` | `getCompositeLastModified()` Returns the latest modification date of the source or anything that it depends on.
`java.lang.String` | `getIncludePathIdentifier()`
`java.lang.String[]` | `getIncludes()`
`java.lang.String` | `getSource()`
`long` | `getSourceLastModified()`
`java.lang.String[]` | `getSysIncludes()`
`void` | `setCompositeLastModified(long lastMod)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyInfo

    public DependencyInfo(java.lang.String includePathIdentifier,
                          java.lang.String source,
                          long sourceLastModified,
                          java.util.Vector includes,
                          java.util.Vector sysIncludes)

Method Detail

### getCompositeLastModified

    public long getCompositeLastModified()

  Returns the latest modification date of the source or anything that it depends on.

  Returns:
    the composite lastModified time, returns Long.MIN_VALUE if not set

### getIncludePathIdentifier

    public java.lang.String getIncludePathIdentifier()

### getIncludes

    public java.lang.String[] getIncludes()

### getSource

    public java.lang.String getSource()

### getSourceLastModified

    public long getSourceLastModified()

### getSysIncludes

    public java.lang.String[] getSysIncludes()

### setCompositeLastModified

    public void setCompositeLastModified(long lastMod)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.